<template>
    <div class="row-settings">
        <div class="row-name">
            <div class="info-name"> {{settingsRow.name}} </div>
            <div class="info-description"> {{settingsRow.description}} </div>
        </div>
        <access-block
                v-for="(access, index) in settingsRow.accessList"
                :access="access"
                :key="index"
                :change-count="changeCount"
                @change-setting="changeSetting"
        ></access-block>
    </div>
</template>

<script>
    import AccessBlock from "./AccessBlock";
    export default {
        name: "DomainSettingsRow",
        components: {AccessBlock},
        props: {
            settingsRow: {
                type: Object,
                required: true
            },
            changeCount: {
                type: Number,
                default: 0
            }
        },
        methods: {
            changeSetting (changedValue, status) {
                this.$emit('change-setting', this.settingsRow, changedValue, status);
            }
        }
    }
</script>

<style scoped lang="scss">
    @import "~common-components/src/assets/style/ob-style";
    .row-settings {
        display: flex;
        height: 100%;
        margin-bottom: 2px;
        @include font-mixin(14px, 20px, 400, 0.2px, $cobalt-black);
    }
    .row-name {
        width: 20%;
        padding: 16px;
        .info-name {
            font-weight: 700;
        }
        .info-description {
            @include font-mixin(12px, 20px, 400, 0.4px, $gray-slate);
            font-variant: small-caps;
        }
    }
</style>
